Revisa tus extensiones de Chrome, muchas dejarán de funcionar en enero

Carlos González

A partir del próximo mes de enero, la compañía de Mountain View -Google- bloqueará por defecto todos los plugins basados en API Netscape. La transición en favor de los plugins HTML5, señala Google, ha comenzado en favor de una web más segura y adaptada a móviles.

La compañía de Mountain View está especialmente interesada en favorecer el cambio hacia el estándar HTML5, tal y como viene demostrando desde tiempo atrás, ya que fueron de los primeros en introducir en su navegador web el soporte correspondiente. Su próximo movimiento en este sentido, y directamente relacionado con las extensiones y plugins de su navegador web Chrome, pasa por deshabilitar por defecto los basados en NPAPI -Netscape API-. Y es que, aunque hasta ahora tenían abierta una «white list» para permitir la utilización de determinadas extensiones, a partir de enero cambiará la situación.

Las intenciones de Google pasan por apoyar el estándar HTML5 presionando, con esta medida, a los desarrolladores que mantienen sus extensiones basadas en Netscape API. De esta forma, no sólo los usuarios de su navegador Chrome se beneficiarán de una experiencia web más segura y completa, sino que también podrán disfrutar de un rendimiento optimizado. Por otra parte, apuestan por este estándar para brindar a los desarrolladores unas posibilidades más amplias y, al mismo tiempo, allanar el camino en favor del «estándar del futuro».

advanced-chrome-extension-exploitation-6-728

Por lo tanto, como consecuencia negativa serán muchos los usuarios que pierdan en su navegador Chrome la posibilidad de utilizar gran parte de sus extensiones. En cualquier caso, Google ha alertado a los desarrolladores de que podrán acogerse a excepciones temporales para prorrogar el cambio, de forma que sus extensiones basadas en Netscape API puedan ser utilizadas de forma temporal -no sabemos cuál será el límite establecido- hasta adaptar el software al estándar HTML5.

Mientras tanto, no son pocas las extensiones basadas en HTML5 que ya están disponibles en la tienda de plugins del navegador web Chrome, por lo que sería lo ideal comenzar desde ya a buscar cuáles son los plugins que dejarán de funcionar desde el próximo mes de enero.